
workdir='xxx'; % your workdir
outputFolder = fullfile(workdir,'CamVid'); 
pretrainedNetwork = 'xxx/deeplabv3plusResnet18CamVid.mat'; % insert path to your Resnet18 pretrained network
classes = [
    "Sky"
    "Building"
    "Pole"
    "Road"
    "Pavement"
    "Tree"
    "SignSymbol"
    "Fence"
    "Car"
    "Pedestrian"
    "Bicyclist"
    ];
catnames = {"Sky"
    "Building"
    "Pole"
    "Road"
    "Pavement"
    "Tree"
    "SignSymbol"
    "Fence"
    "Car"
    "Pedestrian"
    "Bicyclist"
    }


cmap = [

    0.5020    0.5020    0.5020
    0.5020         0         0
    0.7529    0.7529    0.7529
    0.5020    0.2510    0.5020
    0.2353    0.1569    0.8706
    0.5020    0.5020         0
    0.7529    0.5020    0.5020
    0.2510    0.2510    0.5020
    0.2510         0    0.5020
    0.2510    0.2510         0
         0    0.5020    0.7529
]

data = load(pretrainedNetwork); 
net = data.net;
% stop qui


listapng=dir('/home/iacopo/Dropbox/PercLab/lavori/UrbanFlickr/SW/2001_2500/*.png');


var1='Foto_tipo'
Variab = [var1;classes]
T = table('Size',[size(listapng,1) 12],'VariableTypes',{'string','double','double','double','double','double','double','double','double','double','double','double'},'VariableNames',Variab)

imgi= 1;
for imgi=1:size(listapng,1);
nome=fullfile(listapng(imgi).folder,listapng(imgi).name);
I = imread(nome);
C = semanticseg(I, net);
tbl = countcats(C(:))
T(imgi,1)={listapng(imgi).name}
T(imgi,2:12)=num2cell(transpose(tbl))
end;

writetable(T,'your_file.csv')





